Subject: Re: bug#34531: Guix profile fails on Overdrive 1000
From: Ludovic Courtès <[email-masked]>
To: Ricardo Wurmus <[email-masked]>
Cc: Andreas Enge <[email-masked]>, [email-masked], Marius Bakke <[email-masked]>
Date: Thu, 04 Apr 2019 13:28:44 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

Ricardo Wurmus <[email-masked]> skribis:

> Andreas Enge <[email-masked]> writes:
>
>> Before closing the bug, I would still like to ask whether there is a way
>> of getting around the need for python.
>
> Guix pull needs “guile-git”, and “guile-git” needs “libgit2”, which
> needs “python-wrapper”.  To remove the need for Python in “guix pull” we
> would need to build libgit2 without Python.  I don’t know if anyone has
> investigated whether this can be done.

Danny Milosavljevic <[email-masked]> skribis:

> I've started on implementing a replacement test generator, see attachment.
>
> Usage is exactly the same as the original generate.py.

I gather this bug was fixed with commit
03fb5ff6ae01a680c786d9ee148839543c519411.  Closing!

Ludo’.